Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.update
Class InvalidateCacheUpdate

    java.lang.Object
      edu.stanford.smi.protege.server.update.ValueUpdate
          edu.stanford.smi.protege.server.update.SftUpdate
              edu.stanford.smi.protege.server.update.InvalidateCacheUpdate

All Implemented Interfaces:
  Localizable, Serializable

    public class InvalidateCacheUpdate

extends SftUpdate

This update means that there may or may not be a value for this frame, slot, facet, isTemplate group. That is to say the client must call the server to determine the value for this frame, slot, facet, isTemplate combination. If you want to tell the client that there is definitely no value for this frame, slot, facet isTemplate combination, see RemoveCacheUpdate

Author:
  tredmond
See Also:
  Serialized Form

Constructor Summary
`InvalidateCacheUpdate(Frame frame, Slot slot, Facet facet, boolean isTemplate)`

Method Summary
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.server.update.SftUpdate
`getFacet, getInvalidatingVariant, getSlot, isTemplate, localize`

Methods inherited from class edu.stanford.smi.protege.server.update.ValueUpdate
`getClient, getFrame, isTransactionScope, setClient, setTransactionScope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidateCacheUpdate

    public InvalidateCacheUpdate(Frame frame,
                                 Slot slot,
                                 Facet facet,
                                 boolean isTemplate)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `SftUpdate`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.